%global dlrn_nvr 3.4.1-2.20220528010206.94f707c
%global dlrn 1
%define upstream_version 3.4.1
%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppetlabs-firewall
%global commit 94f707c6c2b73f1665add77f797b5263da0c9bc6
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-firewall
Version: 3.4.1
Release: 2.20220528010206.94f707c%{?dist}
Summary:        Manages Firewalls such as iptables
License:        ASL 2.0

URL:            http://github.com/puppetlabs/puppetlabs-firewall

Source0: 3.4.1-2.20220528010206.94f707c.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=94f707c6c2b73f1665add77f797b5263da0c9bc6

BuildArch:      noarch

Requires:       puppet >= 2.7.0

%description
Manages Firewalls such as iptables

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/firewall/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/firewall/



%files
%{_datadir}/openstack-puppet/modules/firewall/


%changelog
* Fri May 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.4.1-2.20220528010206.94f707c
- Update patches
- (GH-1031) Fix for CentOS 8
- Release prep v3.4.0
- (SEC-944) Add test cases
- Adding PR Commit Suggestions
- (SEC-994) Add section on duplicate rules
- (SEC-944) Configurable duplicate behaviour
- (SEC-944) Identify duplicate system rules
- (IAC-1787) Remove Support for CentOS 6
- Release prep v3.3.0
- install module-init-tools on pre_setup step
- (IAC-1771) Update acceptance test setup
- (IAC-1771) Update code for AlmaLinux
- (IAC-1752) - Add Support for AlmaLinux 8
- Package_Name param was used in a clever way, moved to iptables_name
- Fix comment in uid and gid insync
- Fix gid insync regex for converting to GID
- Fix uid insync regex for converting to UID
- Fedora 34 and iptables-compat fix, along with properly utilising iptables variable
- (IAC-1751) - Add Support for Rocky 8
- (IAC-1598) - Remove Support for Debian 8
- add unit test for carp protocol
- Update firewall.rb
- Replace travis link in README.md with GHA
- Release prep v3.2.0
- pdksync: changelog_max_issues set to 500
- Fix "undefined method `gsub' for nil:NilClass" when changing existing rule UID from absent to present
- oracle-7 is using iptables instead of iptables-services
- (IAC-1741) Prefer 'installed' to 'present' for packages
- (IAC-1741) Allow stdlib v8.0.0
- mac_source is downcased by iptables also on debian-11
- (IAC-1709) - Add Support for Debian 11
- Release prep v3.1.0
- use new facts instead of legacy facts
- (MODULES-11138) - Facter.fact().value() not supported by facter 3
- (maint) Updating CONTRIBUTING guidelines
- update HISTORY.md and cleanup CHANGELOG.md
- Release prep v3.0.2
- pdksync v2.1.1
- Update changelog_since_tag
- add compatibility with Rocky Linux
- fix: parsing random_fully in ip6tables
- mac_source is downcased by iptables
- Release prep v3.0.1
- (maint) pdksync - PDK Update
- Fixed link to REFERENCE.md
- (maint) Running a pdk update to consume latest pdk-template changes
- mount /lib/modules/5.4.0-azure to docker containers
- mount kernel for docker container
- Update README.md
- (GH-380) - Litmus, move inventory location
- (maint) - Removal of Locales Folder
- PDK Update for release prep workflow
- typo fix in CHANGELOG
- regex style change to make rubocop happy
- lib/puppet/provider/firewall/iptables.rb - comments cleanup for parsing
- Release prep v3.0.0
- (MAINT) Remove SLES 11 support
- (MAINT) Remove RHEL 5 OS family support
- (maint) Update major dependencies prior to release
- Add auto_release.yml to sync.yml
- pdk update
- Update .sync.yml
- Bump minimal puppet version to 6.0.0 in metadata.json
- Remove Puppet 5 testing
- Release version 2.8.1
- Remove obsolete rubocop annotations
- (maint) Update github actions
- add acceptance test
- avoid to remove spaces outside string hex
- Improve tests
- Fix issues from the rubocop changes
- Apply remaining rubocop fixes
- Add all safe auto corrects
- Add the FrozenStrings magic comment
- Update to pdk-templates and puppet-module-gems 1.0.0
- (maint) remove old workflow
- (IAC-1351) Remove CentOS 5 & RHEL 5 from provision.yaml file
- Release version 2.8.0
- pdksync: add GA workflows
- Remove EL6 testing from Travis
- rename the filter to condition_parameter_test
- Update lib/puppet/provider/firewall/iptables.rb
- Update README.md
- add aceptance test for condition parameter
- (feat) - Bump Puppet boundary
- (pdksync) - implement centos 8 on travis
- (pdksync) - implement centos 8 on travis
- change hashlimit_htable_size to a lower value and add policycoreutils
- (maint) Add release_checks_7 config to provision.yaml
- (IAC-890) - Implement CentOS 8 travis tests
- Update pdk-templates for gitpod and codespaces support
- change name to fetch_os_name
- Update spec/spec_helper_acceptance_local.rb
- Restore copyright names
- skip bytecode test on oracle 7
- Release version 2.7.0
- (IAC-1190) add `ignore_foreign` when purging firewallchains
- Release Version 2.6.0
- Fix fixture tests
- Fix extra quotes in firewall string matching
- Resolve simple puppet-lint items
- (maint) - Removal of legacy nodesets
- (IAC-987) - Removal of inappropriate terminology
- MODULES-10522: Add support for the --condition parameter
- (IAC-1025) Fix spec test helper method
- Fix problem with parsing rules without quotes
- (IAC-973) - Update travis/appveyor to run on new default branch main
- Release version 2.5.0
- Update firewall.rb
- Update spec_helper_acceptance_local.rb
- Add acceptance and unit test for notrack parameter
- Fix RuboCop offence
- Add --notrack flag
- fix parsing of '! --hex-string' from iptables-save
- add acceptance test for hex_string
- add string_hex to ip6tables provider. MODULES-10684
- add pre configuration for docker: debian10
- (IAC-886) Remove SLES 11 from release checks
- Unquote nflog-group
- Fix case
- Fix missing comma
- Add ip6tables NFLOG unit test
- (IAC-746) - Add ubuntu 20.04 support
- Add support for NFLOG options to ip6tables
- Switch to default spec_helper_acceptance file
- Change provision from vmpooler to abs
- Release version 2.4.0
- (maint) - set travis environments to trusty
- (maint) - add back gems removed by pdk update
- (maint) - Pdk Update
- Adding u32
- add cgroup support
- Add net-ssh dependency gems to development group
- Extend LOG options
- (MODULES-8543) Extend nftables' backend warning removal to ip6tables
- (MODULES-8543) Remove nftables' backend warning from iptables_save output
- Release version 2.3.0
- typo in iptables fixture
- Add iptables --hex-string support to firewall resource
- Changed the fact flush call to make it compatible with Facter 4
- (maint) remove fact.flush
- (MAINT) Update docker image names
- (IAC-555) - Remove distelli-manifest.yml
- Support rpfilter
- Add random_fully support
- (maint) - revert 'dist: trusty'
- (maint) - Pdk Update
- Update weekly workflow schedule
- Add weekly workflow on default branch
- (IAC-215) - Pdk Update
- (IAC-215) - Implement use_litmus:true
- (IAC-365) updating tokens and dataset for honeycomb
- add CT to the jump parameter documentation
- (MODULES-7800) add --helper option support for jump target CT
- (FM-8581) - Debian 10 added to travis and provision file refactored
- (maint) - Small maintenance fixes
- (MODULES-10358) - Clarification added to Boolean validation checks
- Add GitHub actions workflow
- Remove docs test
- (maint) update travis to notify puppet slack
- (maint) update travis to not use bundle update --system
- Move README to canonical location
- (maint) Remove MAINTAINERS file
- Release version 2.2.0
- MODULES-10236 disable deploy_to_forge for the module
- MODULES-10242 Add ubuntu14 support back to the modules
- (maint) Update to PDK 1.14.1
- (maint) enable simplecov for ruby codecoverage testing
- Quote inline code snippet
- Fix chaining syntax
- Lint README code snippets, quote strings, use backticks
- Link directly to issues in the MODULES JIRA project
- Remove duplicate README and merge diff into README.markdown
- (maint) update gitignore and pdkignore for .project file removal
- (maint) remove obsolete gepetto .project files
- (maint) mark .gitlab-ci.yml as deleted
- (maint) sort and canonicalise .sync.yml
- add spaces
- fix overlapping iptables arguments for modules
- Add support for Debian Unstable
- update Readme
- MODULES-8413 fix delete chains which is INTERNAL_CHAINS
- Change - Avoid puppet failures on windows nodes
- (FM-8673) - Support added for CentOS 8
- clean up whitespace and use single-quoted strings
- add conntrack module support
- FM-8499 - remove ubuntu14 support
- (PDK-1501) Fix acceptance stages in Travis CI
- (FM-8634) ensure encrypted communication for fixtures
- (PDK-1501) Allow Travis CI config to be templated
- (maint) Update for PDK templates
- (FM-8391) Update README per team practices
- Point pdk gem to head of master until PDK-1525 resolved
- (FM-8275) Add vagrant provision list
- FM-8400 - add debian10 support (#862)
- Fix parsing iptables rules with hyphen in comments
- FM-8219 - Convert to litmus (#855)

* Sat Apr 30 2022 OSP Prod Chain <dev-null@redhat.com> 2.1.1-2.20220430100510.4f4437a
- Update patches

* Fri Apr 01 2022 RDO <dev@lists.rdoproject.org> 3.4.0-1.94f707cgit
- Update to post 3.4.0 (94f707c6c2b73f1665add77f797b5263da0c9bc6)
  Resolves: rhbz#2071569

